extern int usb_storage_send_control(
	struct us_data *us, int pipe, unsigned char request,
	unsigned char requesttype, unsigned int value,
	unsigned int index, unsigned char *xfer_data, unsigned int xfer_len);

extern int usb_storage_raw_bulk(
	struct us_data *us, int direction,
	unsigned char *data, unsigned int len, unsigned int *act_len);

extern int usb_storage_bulk_transport(
	struct us_data *us, int direction,
	unsigned char *data, unsigned int len, int use_sg);
